package com.diagbot.dto;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.Setter;
import java.util.Date;

/**
 * @Description:
 * @author: cy
 * @time: 2020/9/07 15:00
 */

public class ExamineInfoDTO {
    /**
     * 医院id
     */
    private Long hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 检验类型判别
     */
    private String examineItemType;

    /**
     * 检验项目名称
     */
    private String examineItemName;



    /**
     * 返回检查时间
     */
    private Date cTime;



    /**
     * 返回报告时间
     */
    private Date rTime;

    /**
     * 开单医生
     */
    private String doctorName;

    /**
     * 报告单号
     */
    private String repNo;

    /**
     * 质检提示信息
     */
    @JsonIgnore
    private String info;

    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getBehospitalCode() {
        return behospitalCode;
    }

    public void setBehospitalCode(String behospitalCode) {
        this.behospitalCode = behospitalCode;
    }

    public String getExamineItemType() {
        return examineItemType;
    }

    public void setExamineItemType(String examineItemType) {
        this.examineItemType = examineItemType;
    }

    public String getExamineItemName() {
        return examineItemName;
    }

    public void setExamineItemName(String examineItemName) {
        this.examineItemName = examineItemName;
    }

    public Date getcTime() {
        return cTime;
    }

    public void setcTime(Date cTime) {
        this.cTime = cTime;
    }

    public Date getrTime() {
        return rTime;
    }

    public void setrTime(Date rTime) {
        this.rTime = rTime;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getRepNo() {
        return repNo;
    }

    public void setRepNo(String repNo) {
        this.repNo = repNo;
    }

    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }

    @Override
    public String toString() {
        return "ExamineInfoDTO{" +
                "hospitalId=" + hospitalId +
                ", behospitalCode='" + behospitalCode + '\'' +
                ", examineItemType='" + examineItemType + '\'' +
                ", examineItemName='" + examineItemName + '\'' +
                ", cTime=" + cTime +
                ", rTime=" + rTime +
                ", doctorName='" + doctorName + '\'' +
                ", repNo='" + repNo + '\'' +
                ", info='" + info + '\'' +
                '}';
    }
}
